Subject: Re: bug#26983: crash report, my emacs is not configured to send email

From: Alan Third <[email-masked]>
Date: Sat, 02 Sep 2017 17:17:30 +0100

Charles Magid <[email-masked]> writes:

> I started emacs in a console.  The following is the output at the time
> of the crash.  I do not have steps to reproduce.  I was just pasting
> into a buffer. Looking at this backtrace, my swag was a guard needs to
> be added to protect emacs from failed apple api request.
>
> ```
> $ emacs&
> [1] 1255
> vmm (development_FR-124-2nd)$ 2017-05-18 10:45:55.918 Emacs[1255:10912] *** Assertion failure in -[NSRemoteView informAuxServiceOfSelf], /Library/Caches/com.apple.xbs/Sources/ViewBridge/ViewBridge-282/NSRemoteView.m:3210
> 2017-05-18 10:45:55.930 Emacs[1255:10912] IMKInputSession presentFunctionRowItemTextInputViewWithEndpoint:completionHandler: : [self textInputContext]=0x1009e86d0 *NO* NSRemoteViewController to client, NSError=Error
> Domain=com.apple.ViewBridge Code=8 "(null)" UserInfo={com.apple.ViewBridge.error.hint=__38-[NSRemoteView _advanceToConfigPhase:]_block_invoke.2462 caught NSInternalInconsistencyException '<NSRemoteView: 0x11ba82d90> lost
> its aux service connection' with backtrace (

Hi, sorry for not getting back to you sooner.

I've got no idea what's causing this error. As far as I can tell
NSRemoteView and ViewBridge are to do with "app extensions" displaying
things within the application. I think that the emoji selection
interface is an example.

As far as I'm aware, though, Emacs doesn't support anything like that. I
don't know how to go about invoking one either.

Since this appears to have been a one-off, and I've no idea how to
replicate or fix it, I'll close this bug report. If you're still seeing
crashes like this, let us know so we can re-open the bug.
-- 
Alan Third